# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "loggability"
  s.version = "0.6.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Michael Granger"]
  s.cert_chain = ["-----BEGIN CERTIFICATE-----\nMIIDbDCCAlSgAwIBAgIBATANBgkqhkiG9w0BAQUFADA+MQ8wDQYDVQQDDAZtYWhs\nb24xFzAVBgoJkiaJk/IsZAEZFgdtYXJ0aW5pMRIwEAYKCZImiZPyLGQBGRYCbnUw\nHhcNMTMwNjA3MTYwMzA3WhcNMTQwNjA3MTYwMzA3WjA+MQ8wDQYDVQQDDAZtYWhs\nb24xFzAVBgoJkiaJk/IsZAEZFgdtYXJ0aW5pMRIwEAYKCZImiZPyLGQBGRYCbnUw\nggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDCN7bb50MxvUoL0YXNYABO\nvvtUoApuBrrdpJxv/Ngj6BZVycbk9boLY0Cu3YxKUll5veM0S1eD6tH5u8qY6wMO\niePMIuc0+SVNauNKwIqsxHuyq/bZANUVeFCZ+F7AzW1yy3E1In+f6KxTHzZbuJ8z\nN6i1MK3vZqhA0R9dVtxE+JYSPnulWwYUBG9JHaBYz8aH372mDL2rVuwVGmzeEtiN\nxbWC33l3FXbxhnhTyHyDZVEiLrcCCrxbla96vTlRqChovrV1oyoK+5LZW6f9Jc/a\nDFKNmnx/gRV/oBCh5zsZGOmYtEIOjTVjkQx2mIHE72eeTeSLBUSlwo/vXvpVzEux\nAgMBAAGjdTBzMAkGA1UdEwQCMAAwCwYDVR0PBAQDAgSwMB0GA1UdDgQWBBSv/1E1\nlosS/RjxZGZV8BBkhCEIuzAcBgNVHREEFTATgRFtYWhsb25AbWFydGluaS5udTAc\nBgNVHRIEFTATgRFtYWhsb25AbWFydGluaS5udTANBgkqhkiG9w0BAQUFAAOCAQEA\nkP3LtKT+wPo4Mfn4aIa6m9k9K9MhD3fNLVF06g+o1et1KhhfgZd0LXSEInXFAYAu\nw/8wSK+WUKVTJMx8Zh/S1AZUt1J6cQ1ZfgM68WR4BXa95UuUCbXMtynqLfY/khLA\nke66r8gDF5Hz3vKrAro+UavGRZaabHtUi/pUSuOirA0p5TRB8MKXWBOgLlNMKjwc\nRyw9XwQuyP7gPnKcTA9+g8E0tSpwICz5ggqxdvuF/6eqWYQde95HD9D93J2DHo+z\ny6OINF+5NC1urZxUuigosLovVORYgTgN6tQnSvWY9S7naik9dua9effTi2EHy8ws\nAEFC60d6kv25P7lS7WUuIQ==\n-----END CERTIFICATE-----\n"]
  s.date = "2013-06-07"
  s.description = "A composable logging system built on the standard Logger library.\n\nYou can add Loggability to large libraries and systems, then hook everything\nup later when you know where you want logs to be written, at what level of\nseverity, and in which format.\n\nAn example:\n\n    # Load a bunch of libraries that use Loggability\n    require 'strelka'\n    require 'inversion'\n    require 'treequel'\n    require 'loggability'\n    \n    # Set up our own library\n    module MyProject\n        extend Loggability\n        log_as :my_project\n    \n        class Server\n            extend Loggability\n            log_to :my_project\n    \n            def initialize\n                self.log.debug \"Listening.\"\n            end\n        end\n    \n    end\n    \n    # Now tell everything that's using Loggability to log to an HTML\n    # log file at INFO level\n    Loggability.write_to( '/usr/local/www/htdocs/log.html' )\n    Loggability.format_as( :html )\n    Loggability.level = :info"
  s.email = ["ged@FaerieMUD.org"]
  s.extra_rdoc_files = ["History.rdoc", "Manifest.txt", "README.rdoc"]
  s.files = ["History.rdoc", "Manifest.txt", "README.rdoc"]
  s.homepage = "http://deveiate.org/projects/loggability"
  s.licenses = ["Ruby"]
  s.rdoc_options = ["-f", "fivefish", "-t", "Loggability Toolkit"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubyforge_project = "loggability"
  s.rubygems_version = "1.8.25"
  s.summary = "A composable logging system built on the standard Logger library"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<hoe-mercurial>, ["~> 1.4.0"])
      s.add_development_dependency(%q<hoe-highline>, ["~> 0.1.0"])
      s.add_development_dependency(%q<rdoc>, ["~> 4.0"])
      s.add_development_dependency(%q<hoe-deveiate>, ["~> 0.1"])
      s.add_development_dependency(%q<simplecov>, ["~> 0.6"])
      s.add_development_dependency(%q<configurability>, ["~> 2.0.1"])
      s.add_development_dependency(%q<hoe>, ["~> 3.5"])
    else
      s.add_dependency(%q<hoe-mercurial>, ["~> 1.4.0"])
      s.add_dependency(%q<hoe-highline>, ["~> 0.1.0"])
      s.add_dependency(%q<rdoc>, ["~> 4.0"])
      s.add_dependency(%q<hoe-deveiate>, ["~> 0.1"])
      s.add_dependency(%q<simplecov>, ["~> 0.6"])
      s.add_dependency(%q<configurability>, ["~> 2.0.1"])
      s.add_dependency(%q<hoe>, ["~> 3.5"])
    end
  else
    s.add_dependency(%q<hoe-mercurial>, ["~> 1.4.0"])
    s.add_dependency(%q<hoe-highline>, ["~> 0.1.0"])
    s.add_dependency(%q<rdoc>, ["~> 4.0"])
    s.add_dependency(%q<hoe-deveiate>, ["~> 0.1"])
    s.add_dependency(%q<simplecov>, ["~> 0.6"])
    s.add_dependency(%q<configurability>, ["~> 2.0.1"])
    s.add_dependency(%q<hoe>, ["~> 3.5"])
  end
end
